import type { CSSProperties, PropType } from '@vue/runtime-dom';
import './action.less';
export declare const Action: import("vue").DefineComponent<{
    style: {
        type: PropType<CSSProperties>;
        default: undefined;
    };
    collapsed: {
        type: PropType<boolean>;
        default: boolean;
    };
    collapseRender: {
        type: PropType<boolean>;
        default: boolean;
    };
    /** 提交按钮的props*/
    submitButtonProps: {
        type: PropType<Partial<import("vue").ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: PropType<import("ant-design-vue/es/button").ButtonType>;
            htmlType: {
                type: PropType<import("ant-design-vue/es/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: PropType<import("ant-design-vue/es/button").ButtonShape>;
            };
            size: {
                type: PropType<import("ant-design-vue/es/button").ButtonSize>;
            };
            loading: {
                type: PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: PropType<(event: MouseEvent) => void>;
            };
        }>>>;
        default: undefined;
    };
    prefixCls: {
        type: PropType<string>;
        default: string;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "collapsed"[], "collapsed", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    style: {
        type: PropType<CSSProperties>;
        default: undefined;
    };
    collapsed: {
        type: PropType<boolean>;
        default: boolean;
    };
    collapseRender: {
        type: PropType<boolean>;
        default: boolean;
    };
    /** 提交按钮的props*/
    submitButtonProps: {
        type: PropType<Partial<import("vue").ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: PropType<import("ant-design-vue/es/button").ButtonType>;
            htmlType: {
                type: PropType<import("ant-design-vue/es/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: PropType<import("ant-design-vue/es/button").ButtonShape>;
            };
            size: {
                type: PropType<import("ant-design-vue/es/button").ButtonSize>;
            };
            loading: {
                type: PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: PropType<(event: MouseEvent) => void>;
            };
        }>>>;
        default: undefined;
    };
    prefixCls: {
        type: PropType<string>;
        default: string;
    };
}>> & {
    onCollapsed?: ((...args: any[]) => any) | undefined;
}, {
    prefixCls: string;
    style: CSSProperties;
    submitButtonProps: Partial<import("vue").ExtractPropTypes<{
        prefixCls: StringConstructor;
        type: PropType<import("ant-design-vue/es/button").ButtonType>;
        htmlType: {
            type: PropType<import("ant-design-vue/es/button/buttonTypes").ButtonHTMLType>;
            default: string;
        };
        shape: {
            type: PropType<import("ant-design-vue/es/button").ButtonShape>;
        };
        size: {
            type: PropType<import("ant-design-vue/es/button").ButtonSize>;
        };
        loading: {
            type: PropType<boolean | {
                delay?: number | undefined;
            }>;
            default: () => boolean | {
                delay?: number | undefined;
            };
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        ghost: {
            type: BooleanConstructor;
            default: any;
        };
        block: {
            type: BooleanConstructor;
            default: any;
        };
        danger: {
            type: BooleanConstructor;
            default: any;
        };
        icon: import("vue-types").VueTypeValidableDef<any>;
        href: StringConstructor;
        target: StringConstructor;
        title: StringConstructor;
        onClick: {
            type: PropType<(event: MouseEvent) => void>;
        };
        onMousedown: {
            type: PropType<(event: MouseEvent) => void>;
        };
    }>>;
    collapsed: boolean;
    collapseRender: boolean;
}>;
