import type { SubmitterProps } from './types';
import type { VueNode } from '@ant-design-vue/pro-utils';
declare const Submitter: import("vue").DefineComponent<Partial<import("vue").ExtractPropTypes<{
    onSubmit: {
        type: import("vue").PropType<(value?: any) => void>;
    };
    onReset: {
        type: import("vue").PropType<(value?: any) => void>;
    };
    searchConfig: {
        type: import("vue").PropType<{
            submitText?: string | undefined;
            resetText?: string | undefined;
        }>;
    };
    submitButtonProps: {
        type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
            htmlType: {
                type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
            };
            size: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
            };
            loading: {
                type: import("vue").PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
        }>> & {
            preventDefault?: boolean | undefined;
        })>;
        default: boolean;
    };
    resetButtonProps: {
        type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
            htmlType: {
                type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
            };
            size: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
            };
            loading: {
                type: import("vue").PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
        }>> & {
            preventDefault?: boolean | undefined;
        })>;
        default: boolean;
    };
}>> & {
    render?: false | ((props: SubmitterProps & {
        submit: () => void;
        reset: () => void;
    }, dom: VueNode) => VueNode) | undefined;
}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<Partial<import("vue").ExtractPropTypes<{
    onSubmit: {
        type: import("vue").PropType<(value?: any) => void>;
    };
    onReset: {
        type: import("vue").PropType<(value?: any) => void>;
    };
    searchConfig: {
        type: import("vue").PropType<{
            submitText?: string | undefined;
            resetText?: string | undefined;
        }>;
    };
    submitButtonProps: {
        type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
            htmlType: {
                type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
            };
            size: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
            };
            loading: {
                type: import("vue").PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
        }>> & {
            preventDefault?: boolean | undefined;
        })>;
        default: boolean;
    };
    resetButtonProps: {
        type: import("vue").PropType<false | (Partial<import("vue").ExtractPropTypes<{
            prefixCls: StringConstructor;
            type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonType>;
            htmlType: {
                type: import("vue").PropType<import("ant-design-vue/lib/button/buttonTypes").ButtonHTMLType>;
                default: string;
            };
            shape: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonShape>;
            };
            size: {
                type: import("vue").PropType<import("ant-design-vue/lib/button").ButtonSize>;
            };
            loading: {
                type: import("vue").PropType<boolean | {
                    delay?: number | undefined;
                }>;
                default: () => boolean | {
                    delay?: number | undefined;
                };
            };
            disabled: {
                type: BooleanConstructor;
                default: any;
            };
            ghost: {
                type: BooleanConstructor;
                default: any;
            };
            block: {
                type: BooleanConstructor;
                default: any;
            };
            danger: {
                type: BooleanConstructor;
                default: any;
            };
            icon: import("vue-types").VueTypeValidableDef<any>;
            href: StringConstructor;
            target: StringConstructor;
            title: StringConstructor;
            onClick: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
            onMousedown: {
                type: import("vue").PropType<(event: MouseEvent) => void>;
            };
        }>> & {
            preventDefault?: boolean | undefined;
        })>;
        default: boolean;
    };
}>> & {
    render?: false | ((props: SubmitterProps & {
        submit: () => void;
        reset: () => void;
    }, dom: VueNode) => VueNode) | undefined;
}>, {}>;
export { Submitter };
